Package commoble.morered.wires

# Class BundledCableBlock

java.lang.Object
net.minecraft.world.level.block.state.BlockBehaviour
net.minecraft.world.level.block.Block
commoble.morered.wires.AbstractWireBlock
commoble.morered.wires.BundledCableBlock

All Implemented Interfaces:
  `net.minecraft.world.level.block.EntityBlock`, `net.minecraft.world.level.ItemLike`, `net.minecraftforge.common.extensions.IForgeBlock`

public class BundledCableBlock extends AbstractWireBlock implements net.minecraft.world.level.block.EntityBlock

## Nested Class Summary

## Nested classes/interfaces inherited from class net.minecraft.world.level.block.Block

`net.minecraft.world.level.block.Block.BlockStatePairKey`

## Nested classes/interfaces inherited from class net.minecraft.world.level.block.state.BlockBehaviour

`net.minecraft.world.level.block.state.BlockBehaviour.BlockStateBase, net.minecraft.world.level.block.state.BlockBehaviour.OffsetType, net.minecraft.world.level.block.state.BlockBehaviour.Properties, net.minecraft.world.level.block.state.BlockBehaviour.StateArgumentPredicate<A extends Object>, net.minecraft.world.level.block.state.BlockBehaviour.StatePredicate`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final net.minecraft.world.phys.shapes.VoxelShape[]`
`LINE_SHAPES`
`static final net.minecraft.world.phys.shapes.VoxelShape[]`
`NODE_SHAPES_DUNSWE`
`static final net.minecraft.world.phys.shapes.VoxelShape[]`
`RAYTRACE_BACKBOARDS`
`static final net.minecraft.world.phys.shapes.VoxelShape[]`
`SHAPES_BY_STATE_INDEX`
`static final com.google.common.cache.LoadingCache<Long,net.minecraft.world.phys.shapes.VoxelShape>`
`VOXEL_CACHE`

### Fields inherited from class commoble.morered.wires.AbstractWireBlock

`DOWN, EAST, INTERIOR_FACES, NORTH, raytraceBackboards, shapesByStateIndex, SOUTH, UP, useIndirectPower, voxelCache, WEST`

### Fields inherited from class net.minecraft.world.level.block.Block

`BLOCK_STATE_REGISTRY, INDESTRUCTIBLE, INSTANT, stateDefinition, UPDATE_ALL, UPDATE_ALL_IMMEDIATE, UPDATE_CLIENTS, UPDATE_IMMEDIATE, UPDATE_INVISIBLE, UPDATE_KNOWN_SHAPE, UPDATE_LIMIT, UPDATE_MOVE_BY_PISTON, UPDATE_NEIGHBORS, UPDATE_NONE, UPDATE_SUPPRESS_DROPS, UPDATE_SUPPRESS_LIGHT`

### Fields inherited from class net.minecraft.world.level.block.state.BlockBehaviour

`drops, dynamicShape, explosionResistance, friction, hasCollision, isRandomlyTicking, jumpFactor, material, properties, soundType, speedFactor, UPDATE_SHAPE_ORDER`

## Constructor Summary

Constructors
Constructor
Description
`BundledCableBlock(net.minecraft.world.level.block.state.BlockBehaviour.Properties properties)`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`canAdjacentBlockConnectToFace(net.minecraft.world.level.BlockGetter world, net.minecraft.core.BlockPos thisPos, net.minecraft.world.level.block.state.BlockState thisState, net.minecraft.world.level.block.Block neighborBlock, net.minecraft.core.Direction attachmentDirection, net.minecraft.core.Direction directionToWire, net.minecraft.core.BlockPos neighborPos, net.minecraft.world.level.block.state.BlockState neighborState)`
`net.minecraft.world.level.block.entity.BlockEntity`
`newBlockEntity(net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)`
`protected void`
`notifyNeighbors(net.minecraft.world.level.Level world, net.minecraft.core.BlockPos wirePos, net.minecraft.world.level.block.state.BlockState newState, EnumSet<net.minecraft.core.Direction> updateDirections, boolean doConductedPowerUpdates)`
`void`
`onNeighborChange(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.LevelReader world, net.minecraft.core.BlockPos pos, net.minecraft.core.BlockPos neighbor)`
`protected void`
`updatePowerAfterBlockUpdate(net.minecraft.world.level.Level world, net.minecraft.core.BlockPos wirePos, net.minecraft.world.level.block.state.BlockState wireState)`

### Methods inherited from class commoble.morered.wires.AbstractWireBlock

`addEmptyWireToAir, canBeReplaced, canSurvive, canWireConnectToAdjacentWireOrCable, createBlockStateDefinition, destroyClickedSegment, getCachedExpandedShapeVoxel, getEdgeFlags, getEdgeFlagsForNodeLineEdgeFormat, getExpandedShapeIndex, getInteriorFaceToBreak, getLineShape, getOcclusionShape, getShape, getShapeIndex, getStateForPlacement, getWireCount, initializeClient, isEmptyWireBlock, makeExpandedShapeForIndex, makeVoxelCache, makeVoxelShapes, mirror, neighborChanged, onPlace, onRemove, rotate, setPlacedBy, updateShape, updateShapeCache`

### Methods inherited from class net.minecraft.world.level.block.Block

`animateTick, appendHoverText, asBlock, asItem, box, builtInRegistryHolder, byItem, canSupportCenter, canSupportRigidBlock, canSustainPlant, defaultBlockState, destroy, dropFromExplosion, dropResources, dropResources, dropResources, dropResources, fallOn, fillItemCategory, getCloneItemStack, getDescriptionId, getDrops, getDrops, getExplosionResistance, getFriction, getId, getJumpFactor, getName, getRenderPropertiesInternal, getShapeForEachState, getSoundType, getSpeedFactor, getStateDefinition, handlePrecipitation, hasDynamicShape, isExceptionForConnection, isFaceFull, isPossibleToRespawnInThis, isRandomlyTicking, isShapeFullBlock, playerDestroy, playerWillDestroy, popExperience, popResource, popResourceFromFace, propagatesSkylightDown, pushEntitiesUp, registerDefaultState, shouldRenderFace, spawnDestroyParticles, stateById, stepOn, toString, tryDropExperience, updateEntityAfterFallOn, updateFromNeighbourShapes, updateOrDestroy, updateOrDestroy, wasExploded, withPropertiesOf`

### Methods inherited from class net.minecraft.world.level.block.state.BlockBehaviour

`attack, canBeReplaced, defaultDestroyTime, defaultMaterialColor, entityInside, getAnalogOutputSignal, getBlockSupportShape, getCollisionShape, getDestroyProgress, getDirectSignal, getDrops, getFluidState, getInteractionShape, getLightBlock, getLootTable, getMaxHorizontalOffset, getMaxVerticalOffset, getMenuProvider, getPistonPushReaction, getRenderShape, getSeed, getShadeBrightness, getSignal, getVisualShape, hasAnalogOutputSignal, isAir, isCollisionShapeFullBlock, isOcclusionShapeFullBlock, isPathfindable, isSignalSource, onProjectileHit, randomTick, skipRendering, spawnAfterBreak, tick, triggerEvent, updateIndirectNeighbourShapes, use, useShapeForLightOcclusion`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.minecraft.world.level.block.EntityBlock

`getListener, getTicker`

### Methods inherited from interface net.minecraftforge.common.extensions.IForgeBlock

`addLandingEffects, addRunningEffects, canBeHydrated, canConnectRedstone, canDropFromExplosion, canEntityDestroy, canHarvestBlock, canStickTo, collisionExtendsVertically, getAdjacentBlockPathType, getAppearance, getBeaconColorMultiplier, getBedDirection, getBlockPathType, getCloneItemStack, getEnchantPowerBonus, getExpDrop, getExplosionResistance, getFireSpreadSpeed, getFlammability, getFriction, getLightEmission, getMapColor, getRespawnPosition, getSoundType, getStateAtViewpoint, getToolModifiedState, getWeakChanges, hidesNeighborFace, isBed, isBurning, isConduitFrame, isFertile, isFireSource, isFlammable, isLadder, isPortalFrame, isScaffolding, isSlimeBlock, isStickyBlock, isValidSpawn, makesOpenTrapdoorAboveClimbable, onBlockExploded, onBlockStateChange, onCaughtFire, onDestroyedByPlayer, onTreeGrow, rotate, setBedOccupied, shouldCheckWeakPower, shouldDisplayFluidOverlay, supportsExternalFaceHiding`

## Field Details

### NODE_SHAPES_DUNSWE

public static final net.minecraft.world.phys.shapes.VoxelShape[] NODE_SHAPES_DUNSWE

### RAYTRACE_BACKBOARDS

public static final net.minecraft.world.phys.shapes.VoxelShape[] RAYTRACE_BACKBOARDS

### LINE_SHAPES

public static final net.minecraft.world.phys.shapes.VoxelShape[] LINE_SHAPES

### SHAPES_BY_STATE_INDEX

public static final net.minecraft.world.phys.shapes.VoxelShape[] SHAPES_BY_STATE_INDEX

### VOXEL_CACHE

public static final com.google.common.cache.LoadingCache<Long,net.minecraft.world.phys.shapes.VoxelShape> VOXEL_CACHE

## Constructor Details

### BundledCableBlock

public BundledCableBlock(net.minecraft.world.level.block.state.BlockBehaviour.Properties properties)

## Method Details

### newBlockEntity

public net.minecraft.world.level.block.entity.BlockEntity newBlockEntity(net.minecraft.core.BlockPos pos, net.minecraft.world.level.block.state.BlockState state)

Specified by:
  `newBlockEntity` in interface `net.minecraft.world.level.block.EntityBlock`

### onNeighborChange

public void onNeighborChange(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.LevelReader world, net.minecraft.core.BlockPos pos, net.minecraft.core.BlockPos neighbor)

Specified by:
  `onNeighborChange` in interface `net.minecraftforge.common.extensions.IForgeBlock`

### updatePowerAfterBlockUpdate

protected void updatePowerAfterBlockUpdate(net.minecraft.world.level.Level world, net.minecraft.core.BlockPos wirePos, net.minecraft.world.level.block.state.BlockState wireState)

Specified by:
  `updatePowerAfterBlockUpdate` in class `AbstractWireBlock`

### notifyNeighbors

protected void notifyNeighbors(net.minecraft.world.level.Level world, net.minecraft.core.BlockPos wirePos, net.minecraft.world.level.block.state.BlockState newState, EnumSet<net.minecraft.core.Direction> updateDirections, boolean doConductedPowerUpdates)

Specified by:
  `notifyNeighbors` in class `AbstractWireBlock`

### canAdjacentBlockConnectToFace

protected boolean canAdjacentBlockConnectToFace(net.minecraft.world.level.BlockGetter world, net.minecraft.core.BlockPos thisPos, net.minecraft.world.level.block.state.BlockState thisState, net.minecraft.world.level.block.Block neighborBlock, net.minecraft.core.Direction attachmentDirection, net.minecraft.core.Direction directionToWire, net.minecraft.core.BlockPos neighborPos, net.minecraft.world.level.block.state.BlockState neighborState)

Specified by:
  `canAdjacentBlockConnectToFace` in class `AbstractWireBlock`